<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XSelfProvisionRemove StructType
 * @subpackage Structs
 */
class XSelfProvisionRemove extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - default: English United States
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * Constructor method for XSelfProvisionRemove
     * @uses XSelfProvisionRemove::setName()
     * @param string $name
     */
    public function __construct($name = 'English United States')
    {
        $this
            ->setName($name);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSelfProvisionRemove
     */
    public function setName($name = 'English United States')
    {
        $this->name = $name;
        return $this;
    }
}
